html,
body {
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
  overflow-x: hidden !important;
  background-color: #ffffff;
  font-family: "Della Respira", serif;
  font-family: "Raleway", sans-serif;
  font-family: "Italiana", sans-serif;
  font-family: "Roboto", sans-serif;
  font-family: "Marcellus", serif;
  font-family: "Marcellus SC", serif;
  font-family: "Work Sans", sans-serif;
  font-family: "Lato", sans-serif;
  font-family: "Lora", serif;
  font-family: "Cormorant Garamond", serif;
  font-family: "Literata", serif;
  font-family: "Barlow", sans-serif;
  font-family: "Gilda Display", serif;
  color: rgb(0, 0, 0);
}

::selection {
  color: #ffffff;
  background: #74685e;
}

.background-container {
  animation: zoom 10s ease-in-out forwards;
}

@keyframes zoom {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(1.1);
  }
}

nav.navbar {
  background-color: rgba(
    255,
    255,
    255,
    0.999
  ); /* Adjust transparency as needed */
  backdrop-filter: blur(20px); /* Adjust the blur amount as needed */
  transition: background 0.5s !important;

  font-family: "Literata", serif;
  text-transform: uppercase;
  font-weight: 500;
  z-index: 1000;
  width: 100%;
  height: 100px;
  position: relative;
}

li.nav-item a.nav-link {
  color: rgb(0, 0, 0) !important;
  font-size: 15px !important;
}

.nav-item {
  margin-top: 25px;
  margin-bottom: 20px;
  text-align: center;
}

a.nav-link:hover {
  transform: scale(1.07);
}

.navbar li a.active {
  color: #c5a46d !important;
  transform: scale(1.05);
  border-bottom: 1px #ffffff solid !important;
  background-color: transparent;
}

.dropdown-menu {
  background-color: rgb(255, 255, 255) !important;
  color: #000000;
  backdrop-filter: blur(0px) !important;
  transition: background 0.5s !important;
  border: 1px solid #ae9555;
  font-family: "Cormorant Garamond", serif;

  font-weight: 400;
  z-index: 100;
  width: 100%;
  text-align: center;
  padding: 10px;
}

.dropdown-menu .dropdown-item {
  color: rgb(0, 0, 0);
  text-align: left;
}

.dropdown-menu .dropdown-item:hover {
  background-color: #ffffff;
  border: 1px solid #252525;
  transform: scale(1.02);
  color: rgb(0, 0, 0);
}

#carouselExampleFade {
  margin-top: -150px;
  position: relative;
}

.carousel1 {
  background: url("../photos/gallery/img10.jpg") rgba(20, 19, 19, 0.336);
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  height: 900px;
}

.carousel2 {
  background: url("../photos/carousel2.jpg") rgba(20, 19, 19, 0.452);
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  height: 900px;
}

.carousel3 {
  background: url("../photos/carousel3.jpg") rgba(20, 19, 19, 0.493);
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  height: 900px;
}

.carousel-caption {
  margin-bottom: 13%;
  text-align: center;
}

.carousel-caption h1 {
  font-family: "Gilda Display", serif;
  text-transform: uppercase;
  font-size: 100px !important;
  font-weight: 500;
}

.carousel-caption h6 {
  margin-bottom: 30px;
  font-family: "Barlow", sans-serif !important;
  font-style: italic;
  font-size: 20px;
  letter-spacing: 7px;
  font-weight: 100;
}

.btn {
  display: inline-block;
  padding: 0.9rem 1.8rem;
  font-size: 16px;
  font-weight: 700;
  color: black;
  border: 2px solid #c5a46d;
  border-radius: 0px;
  cursor: pointer;
  position: relative;
  background-color: transparent;
  text-decoration: none;
  overflow: hidden;
  z-index: 1;
  font-family: inherit;
}

.btn::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #c5a46d;
  transform: translateX(-100%);
  transition: all 0.3s;
  z-index: -1;
}

.btn:hover::before {
  transform: translateX(0);
}

.first-section {
  margin-top: 70px;
}
.text-box {
  padding-top: 10px;
  width: 120px;
  background: #6b4e00;
  color: white;
  z-index: 2;
}

.facilities-box {
  position: relative;
  border-radius: -10px;
  border: 1px solid black;
  margin-top: -20px;
  padding: 40px;
  z-index: 1;
}
.facility {
  display: flex;
  justify-content: space-around;
  border-right: 1px solid rgba(0, 0, 0, 0.5);
}
.about-section {
  margin-top: 100px;
}

.rooms-section {
  background: url("../photos/img2.jpg") rgba(20, 19, 19, 0.705);
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 100px;
  padding-bottom: 100px;
  margin-top: 70px;
}

.room1 {
  border-radius: 15px !important;
}
.img-box {
  box-sizing: content-box;
  border-radius: 15px;
  overflow: hidden;
  display: inline-block;
  color: white;
  position: relative;
  border: 2px solid #c1e7ee;
}
a {
  text-decoration: none;
}
.img-box:hover img {
  transform: scale(1.1);
  transition: 1s;
}
.text-box1 {
  position: relative;
  margin-top: -140px;
  padding: 30px;
  color: #ffffff;
  background: linear-gradient(
    to top,
    rgba(0, 0, 0, 1),
    rgba(0, 0, 0, 0)
  ) !important;
  border-radius: 15px;
}

.img1 {
  border-radius: 15px;
}
.img2 {
  border-bottom-left-radius: 25px;
  border: 2px solid #c1e7ee;
}
.gallery-section {
  margin-top: 50px;

  padding-top: 100px;
  padding-bottom: 40px;
}

.contact-section {
  background: url("../photos/carousel3.jpg") rgba(20, 19, 19, 0.281);

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 100px;
  padding-bottom: 40px;
  margin-top: 70px;
}
.testimonial-section {
  padding-top: 100px;
  background: #64482d;
  color: #ffffff;
  padding-bottom: 100px;
}
.testimonial-box {
  background: url("../photos/gallery4.jpg") rgba(20, 19, 19, 0.63);
  color: #ffffff;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding: 50px;
  border: 2px solid #6b4e00;
  border-radius: 5px;
}
.testimonial-box:hover {
  background: url("../photos/gallery4.jpg") rgba(0, 0, 0, 0.856);
  color: #ffffff !important;
  transform: translateY(-15px);
  transition: background 0.5s ease-in-out;
  transition: transform 0.5s ease;
}
.glass-container {
  padding: 50px;
  height: 200px;
  background-color: rgba(
    255,
    255,
    255,
    0.5
  ); /* Adjust transparency as needed */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  border-radius: 0px; /* Rounded corners for the container */
  border: 4px solid rgb(255, 255, 255); /* Border for visibility */
  color: white;
}

/*Rooms.html*/
.section-background {
  background: url("../photos/carousel2.jpg") rgba(20, 19, 19, 0.541);

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 150px;
  padding-bottom: 150px;
}
.section-title h1 {
  justify-content: center;
  text-align: center;
  color: white;
  letter-spacing: 6px;
}
.section-title h6 {
  justify-content: center;
  text-align: center;
  padding-top: 7%;
}
.room-img {
  z-index: 10;
  position: relative;
  border-radius: 15px;
}
.room-box {
  border: #c5a46d 3px solid;
  padding: 20px;
  padding-top: 30px !important;
  border-radius: 15px;
  position: relative;
  margin-top: -20px;
  z-index: 1;
}

/*aboutus.html*/
.section-background1 {
  background: url("../photos/about-bg.jpg") rgba(20, 19, 19, 0.5);

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 150px;
  padding-bottom: 150px;
}

.facilities-section {
  background: url("../photos/facility.jpg") rgba(20, 19, 19, 0.5);
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 70px;
  padding-bottom: 70px;
  margin-top: 100px;
}

.facility-box {
  padding: 30px;
  background-color: rgba(
    255,
    255,
    255,
    0.5
  ); /* Adjust transparency as needed */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  border-radius: 0px; /* Rounded corners for the container */
  border: 4px solid #c5a46d; /* Border for visibility */
  color: white;
}

/*Contact.html*/

.section-background2 {
  background: url("../photos/contact-bg.jpg") rgba(20, 19, 19, 0.5);

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 150px;
  padding-bottom: 150px;
}

.contact-section1 {
  background: #64482d;
  padding: 50px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  margin-bottom: 70px;
  margin-top: 70px;
}

.contact-box {
  padding: 30px;
  background-color: rgba(
    255,
    255,
    255,
    0.5
  ); /* Adjust transparency as needed */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  border-radius: 0px; /* Rounded corners for the container */
  border: 4px solid #c5a46d; /* Border for visibility */
}

/*gallery.html*/
.section-background3 {
  /* background: url('../photos/gallery-bg.jpg') rgba(20, 19, 19, 0.623) ; */
  background: url(../photos/bg-gallery.jpg) rgba(20, 19, 19, 0.623);

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  padding-top: 150px;
  padding-bottom: 150px;
}

/*MEDIA QUERIES*/

@media (max-width: 1024px) {
  nav.navbar {
    height: auto;
  }
}

@media (max-width: 990px) {
  .rooms-section,
  .facilities-section {
    background-attachment: scroll !important;
  }
  nav.navbar {
    height: auto;
  }

  .carousel1,
  .carousel2,
  .carousel3 {
    background-attachment: scroll !important;
    height: 800px;
  }
  .carousel-caption h1 {
    font-size: 50px !important;
  }
  .carousel-caption a {
    margin-bottom: 40%;
  }
  .facility {
    border-bottom: 1px solid rgba(0, 0, 0, 0.5);
    border-right: none !important;
  }
  .section-background,
  .section-background1,
  .section-background2,
  .section-background3 {
    background-attachment: scroll !important;
  }
  .section-title h6 {
    padding-top: 30%;
  }
  .map-col {
    justify-content: center !important;
    align-items: center !important;
    text-align: center !important;
  }
}

/*Animations*/
.fadeinleft {
  opacity: 0;
  transform: translateX(200px);
  transition: all 1.3s ease-out;
}
.fadeinright {
  opacity: 0;
  transform: translateX(-200px);
  transition: all 0.8s ease-out;
}
.fadeindown {
  opacity: 0;
  transform: translateY(-100px);
  transition: all 1.2s ease-out;
}
.fadeinup {
  opacity: 0;
  transform: translateY(100px);
  transition: all 1.2s ease-out;
}
.fade-in {
  opacity: 0;
  transition: all 1.3s ease-in;
}
.active-left,
.active,
.active-right,
.active-down,
.active-up {
  opacity: 1;
  transform: translateX(0);
  transform: translateY(0);
}
.fadein {
  opacity: 0;
}
